import {actionPromise, gql} from "./index";


const actionGoodCard = (_id) => {
    const queryJson = JSON.stringify([{
        "_id": `${_id}`
      }]);
    return (actionPromise(`goodCard`, gql (
        `query oneGood($query: String) {
            GoodFindOne(query: $query) {
                _id
                createdAt
                name
                description
                price
                images{url}
            }
          }
    ` ,{ query: queryJson})))
  }

  export default actionGoodCard;